package com.dev.swms.server.model.shipping;

import com.dev.energy.server.model.Entity;

/**
 * 出库单视图
 * @author 44700
 *
 */
public class PickTicketView extends Entity{

	private Long ID;
	private double caseQty;
	private String caName;
	private double puQty;
	private double volume;
	private String puUnit;
	private String caQty;
	private double weight;//净重
	private double realWeight;//毛重
	
	
	public double getWeight() {
		return weight;
	}

	public void setWeight(double weight) {
		this.weight = weight;
	}

	public double getRealWeight() {
		return realWeight;
	}

	public void setRealWeight(double realWeight) {
		this.realWeight = realWeight;
	}

	public Long getID() {
		return ID;
	}
	
	public double getVolume() {
		return volume;
	}

	public void setVolume(double volume) {
		this.volume = volume;
	}

	public void setID(Long iD) {
		ID = iD;
	}
	public double getCaseQty() {
		return caseQty;
	}
	public void setCaseQty(double caseQty) {
		this.caseQty = caseQty;
	}
	public String getCaName() {
		return caName;
	}
	public void setCaName(String caName) {
		this.caName = caName;
	}
	public double getPuQty() {
		return puQty;
	}
	public void setPuQty(double puQty) {
		this.puQty = puQty;
	}
	public String getPuUnit() {
		return puUnit;
	}
	public void setPuUnit(String puUnit) {
		this.puUnit = puUnit;
	}
	public String getCaQty() {
		return caQty;
	}
	public void setCaQty(String caQty) {
		this.caQty = caQty;
	}
	
}
